### Method

# Clutter Timeline get_progress

#### Declaration [src]

    gdouble
    clutter_timeline_get_progress (
      ClutterTimeline* timeline
    )

#### Description [src]

The position of the timeline in a normalized [-1, 2] interval.

The return value of this function is determined by the progress mode set using `clutter_timeline_set_progress_mode()`, or by the progress function set using `clutter_timeline_set_progress_func()`.

#### Return value

Type: `gdouble`

The normalized current position in the timeline.